## sdlip.http
Class HTTPServer

    java.lang.Object
      |
      +--java.lang.Thread
            |
            +--sdlip.http.HTTPServer

All Implemented Interfaces:
  java.lang.Runnable

public class HTTPServer
extends java.lang.Thread

An HTTP layer implementation.

Field Summary
`static int` `DEFAULT_PORT`
`protected java.net.ServerSocket` `listen_socket`
`protected java.lang.ThreadGroup` `threadgroup`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`HTTPServer(HTTPCallback callback)`
`HTTPServer(HTTPCallback callback, int port)`
`HTTPServer(java.lang.String name, HTTPCallback callback, int port)`

Method Summary
`void` `acceptConnections()`
`HTTPCallback` `getCallback()`
`void` `run()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_PORT

    public static final int DEFAULT_PORT

See Also:
  Constant Field Values

### listen_socket

    protected java.net.ServerSocket listen_socket

### threadgroup

    protected java.lang.ThreadGroup threadgroup

Constructor Detail

### HTTPServer

    public HTTPServer(java.lang.String name,
                      HTTPCallback callback,
                      int port)
               throws java.io.IOException

### HTTPServer

    public HTTPServer(HTTPCallback callback,
                      int port)
               throws java.io.IOException

### HTTPServer

    public HTTPServer(HTTPCallback callback)
               throws java.io.IOException

Method Detail

### getCallback

    public HTTPCallback getCallback()

### acceptConnections

    public void acceptConnections()
                           throws java.io.IOException

    `java.io.IOException`

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Thread`